diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 330b17f..4811132 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -43121,8 +43121,8 @@ GrayCode: public == private where
  
     firstSubsetGray(n : PI) ==
       vv : V V I := new(2,[])
-      vv.1 := new(n,0) : V I
-      vv.2 := new(n+1,1) : V I
+      vv.1 := new(n,0) @ V I
+      vv.2 := new(n+1,1) @ V I
       for i in 1..(n+1) repeat
         vv.2.i := i
       vv
diff --git a/buglist b/buglist
index 2a5f794..33003b4 100644
--- a/buglist
+++ b/buglist
@@ -8546,14 +8546,6 @@ warnings 20468:
       [1] have:  hi has no value
 
 =========================================================================
-warnings 20467:
-
->compiling GRAY.spad to GRAY.nrlib
- 
-   Warnings: 
-      [1] firstSubsetGray: :(Vector (Integer)) -- should replace by @
- 
-=========================================================================
 warnings 20466:
 
 >compiling HB.spad to HB.nrlib
@@ -40575,6 +40567,7 @@ warnings 20501:
       [1] convert: pretend$ -- should replace by @
 
 
+fixed 20130313.07.tpd.patch
 =========================================================================
 bug 7235: 
 
@@ -40588,3 +40581,12 @@ typos 40077:
  
 --->bookvol10.4.pamphlet-->FunctionalSpecialFunction((iiBeta (F (List F)))): Improper first word in comments: iiGamma
 
+fixed 20130314.01.tpd.patch
+=========================================================================
+warnings 20467:
+
+>compiling GRAY.spad to GRAY.nrlib
+ 
+   Warnings: 
+      [1] firstSubsetGray: :(Vector (Integer)) -- should replace by @
+ 
diff --git a/changelog b/changelog
index a7406d5..c94cdcc 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130314 tpd src/axiom-website/patches.html 20130314.01.tpd.patch
+20130314 tpd buglist GRAY fixed 20467
+20130314 tpd books/bookvol10.4 GRAY fixed 20467
 20130313 tpd src/axiom-website/patches.html 20130313.07.tpd.patch
 20130313 tpd buglist FSPECF fix 7235, 40077
 20130313 tpd books/bookvol10.4 FSPECF fix 7235, 40077
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a0ed980..ed9a070 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4029,5 +4029,7 @@ books/bookvol10.3 RNUMP removed
 books/bookvol10.3 fix 20501, SEXOF pretend
 <a href="patches/20130313.07.tpd.patch">20130313.07.tpd.patch</a>
 books/bookvol10.4 FSPECF fix 7235, 40077
+<a href="patches/20130314.01.tpd.patch">20130314.01.tpd.patch</a>
+books/bookvol10.4 GRAY fixed 20467
  </body>
 </html>
